﻿using Android.App;
using Android.Widget;
using Android.OS;
using Com.Syncfusion.Charts;
using Java.Util;
using Android.Graphics;

namespace TooltipSample
{
    [Activity(Label = "TooltipSample", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        SfChart sfChart;
        public ObservableArrayList DataPoints { get; set; }

        ColumnSeries columnSeries;

        Random random;

        Button addData, removeData;

        LinearLayout linearLayout;
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            addData = new Button(this);
            addData.Text = "AddData";
            addData.Click += AddData_Click;

            removeData = new Button(this);
            removeData.Text = "RemoveData";
            removeData.Click += RemoveData_Click;

            sfChart = new SfChart(this);
            sfChart.SelectionChanged += SfChart_SelectionChanged;
            sfChart.SetBackgroundColor(Color.White);

            linearLayout = new LinearLayout(this);
            linearLayout.Orientation = Orientation.Vertical;

            DataPoints = new ObservableArrayList();

            sfChart.PrimaryAxis = new NumericalAxis();
            sfChart.SecondaryAxis = new NumericalAxis();

            LoadData();

            columnSeries = new ColumnSeries();
            columnSeries.DataPointSelectionEnabled = true;    
            columnSeries.DataSource = DataPoints;
            columnSeries.TooltipEnabled = true;
            sfChart.Series.Add(columnSeries);

            linearLayout.AddView(addData);
            linearLayout.AddView(removeData);
            linearLayout.AddView(sfChart);
            SetContentView(linearLayout);
        }

        private void SfChart_SelectionChanged(object sender, SfChart.SelectionChangedEventArgs e)
        {
            int index = e.P1.SelectedDataPointIndex;
        }

        private void AddData_Click(object sender, System.EventArgs e)
        {
            random = new Random();

            int j = 100;

            for (var i = 0; i < 50; i++)
            {
                DataPoints.Add(new ChartDataPoint(j, random.NextDouble()));
                j++;
            }
        }

        private void RemoveData_Click(object sender, System.EventArgs e)
        {
            for (var i = 0; i < 50; i++)
            {
                DataPoints.Remove(0);
            }
        }
        private void LoadData()
        {
            random = new Random();

            for (var i = 0; i < 100; i++)
            {
                DataPoints.Add(new ChartDataPoint(i, random.NextDouble()));
            }
        }
    }
}

